KDE 4.2 PyKDE API Reference

- KDE's Python API

# KPixmapProvider Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

A tiny abstract class with just one method: pixmapFor()

It will be called whenever an icon is searched for text.

Used e.g. by KHistoryCombo

Author:
  Carsten Pfeiffer <pfeiffer@kde.org>

an abstract interface for looking up icons

## Methods

QPixmap | pixmapFor (self, QString text, int size=0)
| virtual_hook (self, int id, void data)

## Method Documentation

QPixmap pixmapFor | ( | self, |
|  | QString | text,
|  | int | size=0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

You may subclass this and return a pixmap of size size for text.

Parameters:

  | text | the text that is associated with the pixmap
  | size | the size of the icon in pixels, 0 for defaylt size. See KIconLoader.StdSize.

Returns:
  the pixmap for the arguments, or null if there is none

virtual_hook | ( | self, |
|  | int | id,
|  | void | data
| ) |  |  |

Virtual hook, used to add new "virtual" functions while maintaining binary compatibility. Unused in this class.